Subject: bug#62370: 28.1; sieve-mode: faces should inherit from font-lock-X-face faces

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Mar 2023 16:49:50 +0200

> From: "Trent W. Buck" <[email-masked]>
> Date: Wed, 22 Mar 2023 16:41:07 +1100
> 
> sieve-mode as at Emacs 28.1 defines its colors ab initio.

And there's nothing wrong with that, IMO.  Quite a few other modes do
the same.

> This means they have to be themed by hand.

Some modes already do.

> I think sieve-mode should inherit from font-lock-*-face,
> as most other things do.

I'm not sure I agree.  These faces are with us for a long time, so
changing their defaults now brings disadvantages: it could cause
someone dislike the result.

Does anyone else have an opinion about this?